## org.eclipse.emf.databinding
Class EMFUpdateListStrategy

    java.lang.Object
      org.eclipse.core.databinding.UpdateListStrategy
          org.eclipse.emf.databinding.EMFUpdateListStrategy

    public class EMFUpdateListStrategy

extends UpdateListStrategy

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Nested Class Summary
`protected static class` `UpdateStrategy.DefaultConverter`

Field Summary

Fields inherited from class org.eclipse.core.databinding.UpdateListStrategy
`converter, POLICY_NEVER, POLICY_ON_REQUEST, POLICY_UPDATE, provideDefaults`

Constructor Summary
`EMFUpdateListStrategy()` A list update strategy with default update policy `UpdateListStrategy.POLICY_UPDATE` and default converters and validators
`EMFUpdateListStrategy(boolean provideDefaults, int updatePolicy)` A list update strategy with a specific update policy and with the possibility to turn of default converters and validators
`EMFUpdateListStrategy(int updatePolicy)` A list update strategy with a specific update policy but with default converters and validators

Method Summary
`protected void` `checkAssignable(java.lang.Object arg0, java.lang.Object arg1, java.lang.String arg2)`
`protected IConverter` `createConverter(java.lang.Object fromType, java.lang.Object toType)`
`protected java.lang.Boolean` `isAssignableFromTo(java.lang.Object arg0, java.lang.Object arg1)`

Methods inherited from class org.eclipse.core.databinding.UpdateListStrategy
`convert, doAdd, doMove, doRemove, doReplace, fillDefaults, getUpdatePolicy, setConverter, useMoveAndReplace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFUpdateListStrategy

    public EMFUpdateListStrategy()

  A list update strategy with default update policy `UpdateListStrategy.POLICY_UPDATE` and default converters and validators

### EMFUpdateListStrategy

    public EMFUpdateListStrategy(int updatePolicy)

  A list update strategy with a specific update policy but with default converters and validators

  Parameters:
    `updatePolicy` - the policy

### EMFUpdateListStrategy

    public EMFUpdateListStrategy(boolean provideDefaults,
                                 int updatePolicy)

  A list update strategy with a specific update policy and with the possibility to turn of default converters and validators

  Parameters:
    `provideDefaults` - `false` to turn of default converters and validators
    `updatePolicy` - the policy

Method Detail

### createConverter

    protected IConverter createConverter(java.lang.Object fromType,
                                         java.lang.Object toType)

### checkAssignable

    protected final void checkAssignable(java.lang.Object arg0,
                                         java.lang.Object arg1,
                                         java.lang.String arg2)

### isAssignableFromTo

    protected java.lang.Boolean isAssignableFromTo(java.lang.Object arg0,
                                                   java.lang.Object arg1)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.